#ifndef _tool_db_h_
#define _tool_db_h_

#include <memory>
#include<chrono>
struct card_location_base;
struct area_hover;
namespace db_tool
{
    void PushAsync(const char* sql);
    void save_attendance(const std::shared_ptr<card_location_base>& card_ptr,
                                        const std::shared_ptr<area_hover>& area_hover_ptr);
}

#endif


